#
# spec file for package gap-io_forhomalg
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           gap-io_forhomalg
Version:        2023.02.04
%define sillyver 2023.02-04
Release:        1.1
Summary:        GAP: IO Capabilities for the homalg Project
License:        GPL-2.0-only
Group:          Productivity/Scientific/Math
URL:            https://homalg-project.github.io/pkg/IO_ForHomalg
#Git-Clone:	https://github.com/homalg-project/homalg_project
Source:         https://github.com/homalg-project/homalg_project/releases/download/IO_ForHomalg-%sillyver/IO_ForHomalg-%sillyver.tar.gz
BuildArch:      noarch
BuildRequires:  gap-rpm-devel
Requires:       gap-core >= 4.12.1
Requires:       gap-homalgtocas >= 2009.06.18
Requires:       gap-io >= 2.3
Suggests:       gap-gapdoc >= 1.0

%description
The IO_ForHomalg package launches the command-line-interface of an
external computer algebra system and connects it to homalg using an
Input/Output stream.

%prep
%autosetup -n IO_ForHomalg-%sillyver

%build
find . -type f -name .gitkeep -delete
rm -v doc/clean

%install
%gappkg_simple_install

%files -f %name.files

%changelog
* Sat Mar 23 2024 Jan Engelhardt <jengelh@inai.de>
- Update to release 2023.02.04
  * No changelog was provided
* Sat Feb 11 2023 Jan Engelhardt <jengelh@inai.de>
- Update to release 2022.11.01
  * No changelog
* Sat Nov 19 2022 Jan Engelhardt <jengelh@inai.de>
- Update to release 2022.09.01
  * No changelog was provided
* Sun Dec 24 2017 jengelh@inai.de
- Update to new upstream release 2017.09.02
  * No changelog available
* Fri Sep  8 2017 jengelh@inai.de
- Update to new upstream release 2017.07.01
  * No changelog was provided
* Tue Dec  8 2015 jengelh@inai.de
- Update to new upstream release 2015.11.06
  * No changelog was provided again
* Tue Aug  4 2015 jengelh@inai.de
- Update to new upstream release 2015.03.16
* Thu Feb  6 2014 jengelh@inai.de
- Update to new upstream release 2012.10.24
  * No changelog was provided
* Fri May 10 2013 jengelh@inai.de
- Split io_forhomalg (version 2012.10.22) off the gap RPM package
